aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained
diff options
context:
space:
mode:
authorBartłomiej Piotrowski <bpiotrowski@alpinelinux.org>2014-05-30 20:31:37 +0200
committerBartłomiej Piotrowski <bpiotrowski@alpinelinux.org>2014-05-30 20:32:44 +0200
commitdad96643d836e7fcc50caf2f5ee399f7b0b1782c (patch)
treed6957e77aff2b7cfa20d8f79b1f6be6ebda1ed91 /unmaintained
parentf41e00e67c49c5bc15bf99b563250e4ea179022c (diff)
downloadaports-dad96643d836e7fcc50caf2f5ee399f7b0b1782c.tar.gz
aports-dad96643d836e7fcc50caf2f5ee399f7b0b1782c.tar.bz2
aports-dad96643d836e7fcc50caf2f5ee399f7b0b1782c.tar.xz
testing/podofo: move to unmaintained
Diffstat (limited to 'unmaintained')
-rw-r--r--unmaintained/podofo/APKBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/unmaintained/podofo/APKBUILD b/unmaintained/podofo/APKBUILD
new file mode 100644
index 0000000000..2e1abf2fe5
--- /dev/null
+++ b/unmaintained/podofo/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer:
+pkgname=podofo
+pkgver=0.9.1
+pkgrel=2
+pkgdesc="A C++ library to work with the PDF file format"
+url="http://podofo.sourceforge.net"
+arch="all"
+license="GPL"
+depends=
+depends_dev="tiff-dev libpng-dev fontconfig-dev cmake"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+ cd "$_builddir"
+ mkdir build
+ cd build
+ cmake -DCMAKE_INSTALL_PREFIX=/usr .. \
+ -DPODOFO_BUILD_SHARED=1 \
+ -DPODOFO_HAVE_JPEG_LIB=1 \
+ -DPODOFO_HAVE_PNG_LIB=1 \
+ -DPODOFO_HAVE_TIFF_LIB=1
+ make || return 1
+}
+package() {
+ cd "$_builddir"/build
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="cec586ab69f92bc88d38b5d4b8eee5a0 podofo-0.9.1.tar.gz"